datablock fxDTSBrickData (Diode1x2HBrickData : brick1x1Data)
{
	category = "LogicBricks";
	subCategory = "Diodes";
	uiName = "Diode1x2H";
	brickfile = ".\diodeH.blb"
	iconName = "base/client/ui/brickIcons/1x2f";
	alwaysShowWireFrame = false;
	IsLogicBrick = 1;
	IsGate = 1;
	GateName = "Diode 1x2 H";
	TipInfo = "Allows power to flow only from Input to Output";

	ISINSTANT = 0;

	numPE = 1;
	PEName[0] = "Output";
	PEPos[0] = "0 -0.25 0";
	PEScale[0] = "0.5 0.5 0.16666";
	
	numIE = 1;
	IEName[0] = "Input";
	IEPos[0] = "0 0.25 0";
	IEScale[0] = "0.5 0.5 0.16666";
};

datablock fxDTSBrickData (Diode1x1VDBrickData : Diode1x2HBrickData)
{
	category = "LogicBricks";
	subCategory = "Diodes";
	uiName = "Diode1x1V Down";
	brickfile = ".\diodeV1.blb"
	iconName = "base/client/ui/brickIcons/1x1";
	alwaysShowWireFrame = false;
	IsLogicBrick = 1;
	IsGate = 1;
	GateName = "Diode 1x1 V Down";
	TipInfo = "Allows power to flow only from Input to Output";

	ISINSTANT = 0;

	numPE = 1;
	PEName[0] = "Output";
	PEPos[0] = "0 0 -0.15";
	PEScale[0] = "0.5 0.5 0.16666";
	
	numIE = 1;
	IEName[0] = "Input";
	IEPos[0] = "0 0 0.15";
	IEScale[0] = "0.5 0.5 0.16666";
};

datablock fxDTSBrickData (Diode1x1VUBrickData : Diode1x2HBrickData)
{
	category = "LogicBricks";
	subCategory = "Diodes";
	uiName = "Diode1x1V Up";
	brickfile = ".\diodeV2.blb"
	iconName = "base/client/ui/brickIcons/1x1";
	alwaysShowWireFrame = false;
	IsLogicBrick = 1;
	IsGate = 1;
	GateName = "Diode 1x1 V Up";
	TipInfo = "Allows power to flow only from Input to Output";

	ISINSTANT = 0;

	numPE = 1;
	PEName[0] = "Output";
	PEPos[0] = "0 0 0.15";
	PEScale[0] = "0.5 0.5 0.16666";
	
	numIE = 1;
	IEName[0] = "Input";
	IEPos[0] = "0 0 -0.15";
	IEScale[0] = "0.5 0.5 0.16666";
};

package Basic_Diodes
{
	function Diode1x2HBrickData::DoLog(%data, %gate, %statestack, %client)
	{
		SetPEPowered(%gate.PE[0],%statestack.ins[0],%client);	//set output to the input. clean and simple
	}

	function Diode1x1VDBrickData::DoLog(%data, %gate, %statestack, %client)
	{
		SetPEPowered(%gate.PE[0],%statestack.ins[0],%client);	//set output to the input. clean and simple
	}

	function Diode1x1VUBrickData::DoLog(%data, %gate, %statestack, %client)
	{
		SetPEPowered(%gate.PE[0],%statestack.ins[0],%client);	//set output to the input. clean and simple
	}
};
ActivatePackage(Basic_Diodes);